Get execution logs
Server:
https://{kibana_url}
- GET /api/workflows/executions/{executionId}/logs
- GET /s/{space_id}/api/workflows/executions/{executionId}/logs
Refer to Spaces for more information.
Retrieve paginated logs for a workflow execution. Optionally filter by a specific step execution.
[Required authorization] Route required privileges: workflowsManagement:read AND workflowsManagement:readExecution. Extended privileges (optional, expand functionality when granted): workflowsManagement:managed:readExecution.
Path Parameters
-
executionIdstring · max: 255required -
Workflow execution ID
Query Parameters
-
stepExecutionIdstring Filter logs by a specific step execution ID.
-
sizenumber · min: 1 · max: 100 · default: 100 Number of log entries per page.
-
pagenumber · min: 1 · default: 1 Page number.
-
sortFieldstring Field to sort by.
Response
200
application/json
Indicates a successful response